/*
 * Add smooth scrolling CSS only
 * Found via https://gomakethings.com/how-to-animate-scrolling-to-anchor-links-with-one-line-of-css/
 */

html {
  scroll-behavior: smooth;
}

/*
 * Add anchor link top margins
 * We either have a fixed admin toolbar OR the fixed navbar (h4c_drulma makes sure that not-logged in users don't have a fixed navbar) 
 */

/* Set a more or less correct value to account for toolbar or navbar */
.toolbar-horizontal [id],
.has-navbar-fixed-top [id] {
  scroll-margin-top: 80px;
}

/* Disable smooth scrolling when users have prefers-reduced-motion enabled*/
@media screen and (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}